import { timeFormatter } from "@core/app/theme/scheduleView";
import dayjs from "dayjs";
import "dayjs/locale/es";

dayjs.locale("es");

export const formatDateLarge = (date: string) => {
    const dateObj = dayjs(date);
    return dateObj.format("dddd DD [de] MMMM [del] YYYY");
};

export const formatTime = (data: number) => {
    return timeFormatter(data);
    //return `${data}:00 hs.`;
};

export const formatTimeInterval = (start: number, end: number) => {
    return `${formatTime(start)} - ${formatTime(end)}`;
};
